Loading...
Searching...
No Matches
icu::number::UnlocalizedNumberFormatter Class Reference

A NumberFormatter that does not yet have a locale. More...

`#include <numberformatter.h>`

Inheritance diagram for icu::number::UnlocalizedNumberFormatter:

## Public Member Functions

LocalizedNumberFormatter | locale (const icu::Locale &locale) const &
| Associate the given locale with the number formatter.
LocalizedNumberFormatter | locale (const icu::Locale &locale) &&
| Overload of locale() for use on an rvalue reference.
| UnlocalizedNumberFormatter ()=default
| Default constructor: puts the formatter into a valid but undefined state.
| UnlocalizedNumberFormatter (const UnlocalizedNumberFormatter &other)
| Returns a copy of this UnlocalizedNumberFormatter.
| UnlocalizedNumberFormatter (UnlocalizedNumberFormatter &&src) noexcept
| Move constructor: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.
UnlocalizedNumberFormatter & | operator= (const UnlocalizedNumberFormatter &other)
| Copy assignment operator.
UnlocalizedNumberFormatter & | operator= (UnlocalizedNumberFormatter &&src) noexcept
| Move assignment operator: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.
Public Member Functions inherited from icu::number::NumberFormatterSettings< UnlocalizedNumberFormatter >
UnlocalizedNumberFormatter | notation (const Notation &notation) const &
| Specifies the notation style (simple, scientific, or compact) for rendering numbers.
UnlocalizedNumberFormatter | unit (const icu::MeasureUnit &unit) const &
| Specifies the unit (unit of measure, currency, or percent) to associate with rendered numbers.
UnlocalizedNumberFormatter | adoptUnit (icu::MeasureUnit *unit) const &
| Like unit(), but takes ownership of a pointer.
UnlocalizedNumberFormatter | perUnit (const icu::MeasureUnit &perUnit) const &
| Sets a unit to be used in the denominator.
UnlocalizedNumberFormatter | adoptPerUnit (icu::MeasureUnit *perUnit) const &
| Like perUnit(), but takes ownership of a pointer.
UnlocalizedNumberFormatter | precision (const Precision &precision) const &
| Specifies the rounding precision to use when formatting numbers.
UnlocalizedNumberFormatter | roundingMode (UNumberFormatRoundingMode roundingMode) const &
| Specifies how to determine the direction to round a number when it has more digits than fit in the desired precision.
UnlocalizedNumberFormatter | grouping (UNumberGroupingStrategy strategy) const &
| Specifies the grouping strategy to use when formatting numbers.
UnlocalizedNumberFormatter | integerWidth (const IntegerWidth &style) const &
| Specifies the minimum and maximum number of digits to render before the decimal mark.
UnlocalizedNumberFormatter | symbols (const DecimalFormatSymbols &symbols) const &
| Specifies the symbols (decimal separator, grouping separator, percent sign, numerals, etc.) to use when rendering numbers.
UnlocalizedNumberFormatter | adoptSymbols (NumberingSystem *symbols) const &
| Specifies that the given numbering system should be used when fetching symbols.
UnlocalizedNumberFormatter | unitWidth (UNumberUnitWidth width) const &
| Sets the width of the unit (measure unit or currency).
UnlocalizedNumberFormatter | sign (UNumberSignDisplay style) const &
| Sets the plus/minus sign display strategy.
UnlocalizedNumberFormatter | decimal (UNumberDecimalSeparatorDisplay style) const &
| Sets the decimal separator display strategy.
UnlocalizedNumberFormatter | scale (const Scale &scale) const &
| Sets a scale (multiplier) to be used to scale the number by an arbitrary amount before formatting.
UnlocalizedNumberFormatter | usage (StringPiece usage) const &
| Specifies the usage for which numbers will be formatted ("person-height", "road", "rainfall", etc.).
UnlocalizedNumberFormatter | displayOptions (const DisplayOptions &displayOptions) const &
| Specifies the DisplayOptions.
UnlocalizedNumberFormatter | unitDisplayCase (StringPiece unitDisplayCase) const &
| NOTE: Use displayOptions instead.
UnlocalizedNumberFormatter | padding (const impl::Padder &padder) const &
| Set the padding strategy.
UnlocalizedNumberFormatter | threshold (int32_t threshold) const &
| Internal fluent setter to support a custom regulation threshold.
UnlocalizedNumberFormatter | macros (const impl::MacroProps &macros) const &
| Internal fluent setter to overwrite the entire macros object.
UnicodeString | toSkeleton (UErrorCode &status) const
| Creates a skeleton string representation of this number formatter.
LocalPointer< UnlocalizedNumberFormatter > | clone () const &
| Returns the current (Un)LocalizedNumberFormatter as a LocalPointer wrapping a heap-allocated copy of the current object.
UBool | copyErrorTo (UErrorCode &outErrorCode) const
| Sets the UErrorCode if an error occurred in the fluent chain.

## Friends

class | NumberFormatterSettings< UnlocalizedNumberFormatter >
class | NumberFormatter
class | LocalizedNumberFormatter

## Detailed Description

A NumberFormatter that does not yet have a locale.

In order to format numbers, a locale must be specified.

Instances of this class are immutable and thread-safe.

See also
  NumberFormatter

Stable
  ICU 60

Definition at line 2433 of file numberformatter.h.

## Constructor & Destructor Documentation

## UnlocalizedNumberFormatter() [1/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( |  | ) |

default

Default constructor: puts the formatter into a valid but undefined state.

Stable
  ICU 62

Referenced by operator=(), operator=(), UnlocalizedNumberFormatter(), and UnlocalizedNumberFormatter().

## UnlocalizedNumberFormatter() [2/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( | const UnlocalizedNumberFormatter & | other | ) |

Returns a copy of this UnlocalizedNumberFormatter.

Stable
  ICU 60

References UnlocalizedNumberFormatter().

## UnlocalizedNumberFormatter() [3/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( | UnlocalizedNumberFormatter && | src | ) |

noexcept

Move constructor: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.

Stable
  ICU 62

References UnlocalizedNumberFormatter().

## Member Function Documentation

## locale() [1/2]

LocalizedNumberFormatter icu::number::UnlocalizedNumberFormatter::locale | ( | const icu::Locale & | locale | ) | &&

Overload of locale() for use on an rvalue reference.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

See also
  locale

Stable
  ICU 62

References locale().

## locale() [2/2]

LocalizedNumberFormatter icu::number::UnlocalizedNumberFormatter::locale | ( | const icu::Locale & | locale | ) | const &

Associate the given locale with the number formatter.

The locale is used for picking the appropriate symbols, formats, and other data for number display.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

Stable
  ICU 60

References locale().

Referenced by locale(), and locale().

## operator=() [1/2]

UnlocalizedNumberFormatter & icu::number::UnlocalizedNumberFormatter::operator= | ( | const UnlocalizedNumberFormatter & | other | ) |

Copy assignment operator.

Stable
  ICU 62

References UnlocalizedNumberFormatter().

## operator=() [2/2]

UnlocalizedNumberFormatter & icu::number::UnlocalizedNumberFormatter::operator= | ( | UnlocalizedNumberFormatter && | src | ) |

noexcept

Move assignment operator: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.

Stable
  ICU 62

References icu::number::NumberFormatterSettings< UnlocalizedNumberFormatter >::macros(), and UnlocalizedNumberFormatter().

## Friends And Related Symbol Documentation

## LocalizedNumberFormatter

friend class LocalizedNumberFormatter

friend

Definition at line 2509 of file numberformatter.h.

## NumberFormatter

friend class NumberFormatter

friend

Definition at line 2506 of file numberformatter.h.

## NumberFormatterSettings< UnlocalizedNumberFormatter >

friend class NumberFormatterSettings< UnlocalizedNumberFormatter >

friend

Definition at line 2500 of file numberformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h